Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class IterateViewIteratorTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.beasys.commerce.ebusiness.catalog.tags.IterateViewIteratorTag

public class IterateViewIteratorTag
extends javax.servlet.jsp.tagext.BodyTagSupport

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`IterateViewIteratorTag()`

Method Summary
`int` | `doAfterBody()` Called when the end of the tag is reached.
`int` | `doStartTag()` Called when the tag starts.
`java.lang.String` | `getId()` Get the value of the id.
`boolean` | `getIterateByView()` Get the value of iterateByView.
`ViewIterator` | `getIterator()` Get the value of the iterator.
`java.lang.String` | `getReturnType()` Get the value of returnType.
`void` | `release()`
`void` | `setId(java.lang.String id)` Set the value of the id.
`void` | `setIterateByView(boolean iterateByView)` Set the value of iterateByView.
`void` | `setIterator(ViewIterator iterator)` Set the value of the iterator.
`void` | `setReturnType(java.lang.String returnType)` Set the value of returnType.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterateViewIteratorTag

    public IterateViewIteratorTag()

Method Detail

### setIterator

    public void setIterator(ViewIterator iterator)

  Set the value of the iterator.

  Parameters:
    `iterator` - Value to assign to iterator.

### getIterator

    public ViewIterator getIterator()

  Get the value of the iterator.

  Returns:
    Value of the iditerator

### setId

    public void setId(java.lang.String id)

  Set the value of the id.

  Parameters:
    `id` - Value to assign to id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Get the value of the id.

  Returns:
    Value of the id.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### getReturnType

    public java.lang.String getReturnType()

  Get the value of returnType.

  Returns:
    Value of returnType.

### setReturnType

    public void setReturnType(java.lang.String returnType)

  Set the value of returnType.

  Parameters:
    `returnType` - Value to assign to returnType.

### setIterateByView

    public void setIterateByView(boolean iterateByView)

  Set the value of iterateByView.

  Parameters:
    `iterateByView` - Value to assign to iterateByView.

### getIterateByView

    public boolean getIterateByView()

  Get the value of iterateByView.

  Returns:
    Value of iterateByView.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Called when the end of the tag is reached.

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved